protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Namespaces | Typedefs
pbf_builder.hpp File Reference

Contains the pbf_builder template class. More...

`#include "basic_pbf_builder.hpp"`
`#include "pbf_writer.hpp"`
`#include <string>`
Include dependency graph for pbf_builder.hpp:

Go to the source code of this file.

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Typedefs
template<typename T >
using | protozero::pbf_builder = basic_pbf_builder< std::string, T >
| Specialization of basic_pbf_builder using std::string as buffer type.

## Detailed Description

Contains the pbf_builder template class.